#include <iostream>
enum Rezultat{
    prvi,drugi,nijedan,nepoznato
};
using namespace std;

Rezultat pobednik(int a,int b,int x,int y){
    if(a==x){ 
        if(y<b){
            return drugi;
        }
        return nijedan;
    }
    else{
        if(b==y){
            return prvi;
        }
        return nepoznato;
    }
}

int main(){
    int a,b,x,y;
    cin >> a >> b >> x >> y;
    switch(pobednik(a,b,x,y)){
        case prvi:cout << "prvi";break;
        case drugi:cout << "drugi";break;
        case nepoznato:cout << "?";break;
        case nijedan:cout << "nijedan";break;
    }
}